
From: Roland Dreier <roland@topspin.com>

Add missing break statements in switch in mthca_profile.c (pointed out
by Michael Tsirkin).

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/hw/mthca/mthca_profile.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN drivers/infiniband/hw/mthca/mthca_profile.c~ib-mthca-add-missing-break drivers/infiniband/hw/mthca/mthca_profile.c
--- 25/drivers/infiniband/hw/mthca/mthca_profile.c~ib-mthca-add-missing-break	2005-03-02 21:50:36.000000000 -0800
+++ 25-akpm/drivers/infiniband/hw/mthca/mthca_profile.c	2005-03-02 21:50:36.000000000 -0800
@@ -241,10 +241,12 @@ u64 mthca_make_profile(struct mthca_dev 
 		case MTHCA_RES_UDAV:
 			dev->av_table.ddr_av_base = profile[i].start;
 			dev->av_table.num_ddr_avs = profile[i].num;
+			break;
 		case MTHCA_RES_UARC:
 			init_hca->uarc_base   = profile[i].start;
 			init_hca->log_uarc_sz = ffs(request->uarc_size) - 13;
 			init_hca->log_uar_sz  = ffs(request->num_uar) - 1;
+			break;
 		default:
 			break;
 		}
_
